
int trigPin = 2;    // TRIG pin
int echoPin = 1;    // ECHO pin

float duration_us; 
int distance_mm;

void setup() {
  // begin serial port
  Serial.begin (9600);

  // configure the trigger pin to output mode
  pinMode(2, OUTPUT);
  // configure the echo pin to input mode
  pinMode(1, INPUT);
}

void loop() {
  // generate 10-microsecond pulse to TRIG pin
  digitalWrite(2, HIGH);
  delayMicroseconds(10);
  digitalWrite(2, LOW);

  // measure duration of pulse from ECHO pin
  duration_us = pulseIn(1, HIGH);

  // calculate the distance
  distance_mm = 0.017 * duration_us * 10;

  // print the value to Serial Monitor
 
  Serial.println(distance_mm);
  

  delay(100);
}
